summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2024-04-26 13:44:37 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2024-04-26 13:53:10 +0000
commit65f0e825652a1f8c395df73b06db85bf58f2c0a8 (patch)
treeffc71d616db00fd695121363327814484768fcf9
parent72a72cea7ee162d2211c13106ec9345e9f3ba91f (diff)
tcwg-update-lnt-results.sh: Update to import inside LNT container
Change-Id: Iece686ee1cc1198c44458ea78cf534daf5fec5d0
-rwxr-xr-xtcwg-update-lnt-results.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/tcwg-update-lnt-results.sh b/tcwg-update-lnt-results.sh
index 71791c83..4f7a83f1 100755
--- a/tcwg-update-lnt-results.sh
+++ b/tcwg-update-lnt-results.sh
@@ -20,7 +20,7 @@ lntserver="${lntserver-/home/tcwg-buildslave/$lnt_config/lntserver}"
lntdb="$lntserver/lnt-database"
lntimport="$lntserver/import-tmp"
-. $lntserver/sandbox/bin/activate
+docker_lnt=(docker exec "$lnt_config-lnt" sudo -i -u tcwg-buildslave lnt.sh)
if $verbose; then set -x; fi
@@ -97,13 +97,14 @@ update_one_lnt_results_project()
echo "Deleting previous reports"
# "Machine" $config may not exist, so ignore failures.
- lnt updatedb --testsuite "$project" "$lntdb" --delete-machine "$config" \
- || true
+ "${docker_lnt[@]}" updatedb --testsuite "$project" "$lntdb" \
+ --delete-machine "$config" || true
echo "Pushing ${lnt_reports[*]:1}"
# FIXME: ${lnt_reports[@]} can have hundreds of entries, which all
# will be expanded on the command line. Consider importing data in
# chunks or by specifying a top-level directory.
- lnt import --testsuite "$project" $lntdb "${lnt_reports[@]:1}"
+ "${docker_lnt[@]}" import --testsuite "$project" "$lntdb" \
+ "${lnt_reports[@]:1}"
echo "Done!"
rm -rf "${lnt_reports[0]}"